--- old/usr/src/cmd/stat/kstat/kstat.c	2015-03-05 12:02:13.056015781 +0000
+++ new/usr/src/cmd/stat/kstat/kstat.c	2015-03-05 12:02:13.067446677 +0000
@@ -657,12 +657,6 @@
 		list_create(&ksi->ks_nvlist, sizeof (ks_nvpair_t),
 		    offsetof(ks_nvpair_t, nv_next));
 
-		SAVE_HRTIME_X(ksi, "crtime", kp->ks_crtime);
-		SAVE_HRTIME_X(ksi, "snaptime", kp->ks_snaptime);
-		if (g_pflg) {
-			SAVE_STRING_X(ksi, "class", kp->ks_class);
-		}
-
 		/* Insert this instance into a sorted list */
 		tmp = list_head(&instances_list);
 		while (tmp != NULL && compare_instances(ksi, tmp) > 0)
@@ -679,6 +673,12 @@
 			continue;
 		}
 
+		SAVE_HRTIME_X(ksi, "crtime", kp->ks_crtime);
+		SAVE_HRTIME_X(ksi, "snaptime", kp->ks_snaptime);
+		if (g_pflg) {
+			SAVE_STRING_X(ksi, "class", kp->ks_class);
+		}
+
 		switch (kp->ks_type) {
 		case KSTAT_TYPE_RAW:
 			save_raw(kp, ksi);
